Subject: Re: Runtime Altivec detection

From: Nathan Ingersoll <[email-masked]>
Date: Fri, 7 Mar 2003 11:52:02 -0600

On Fri, Mar 07, 2003 at 06:41:05PM +0100, Benjamin Herrenschmidt wrote:
>
> There's a much better way. The kernel passes down CPU features
> bits down to userland via ELF AUX tables.

Do you know of any reference code for accessing that information?

Thanks,
Nathan

--
------------------------------------------------------------------------
| Nathan Ingersoll           \\ Computer Systems & Network Coordinator |
| [email-masked]    \\ http://www.ruralcenter.org            |
| http://ningerso.atmos.org/   \\ Minnesota Center for Rural Health    |
------------------------------------------------------------------------

** Sent via the linuxppc-dev mail list. See http://lists.linuxppc.org/